package org.objectweb.jonas.jtests.beans.ejbql;

import javax.ejb.EJBException;
import javax.ejb.CreateException;
import javax.ejb.FinderException;
import java.util.Collection;

public interface CabinHomeLocal extends javax.ejb.EJBLocalHome {

    public CabinLocal create(Integer id)
        throws CreateException, EJBException;

    public CabinLocal findByPrimaryKey(Integer pk)
        throws FinderException, EJBException;

    public Collection findAllOnDeckLevel(Integer level)
        throws FinderException;

    public Collection findAllCabins()
        throws FinderException;

}
